VULKANCAPSVIEWER(1)

NAME
vulkanCapsViewer - Vulkan hardware capability viewer

SYNOPSIS
vulkanCapsViewer [options]

DESCRIPTION
This application displays hardware implementation details for GPUs supporting the Vulkan API published by Khronos. It shows available features, limits, extensions and capabilities. The report can optionally be submitted to the public online database available at https://vulkan.gpuinfo.org/, where different devices and driver versions can be browsed and compared. It will use either X11 or Wayland to query Vulkan WSI (Window System Integration), depending on whether you're using vulkanCapsViewer or vulkanCapsViewer-wayland.

OPTIONS

-h, --help
    Displays help on commandline options.

--help-all
    Displays help including Qt specific options.

-v, --version
    Displays version information.

-s <savereport>
    Save report to file without starting the GUI

--upload
    Upload report for device with given index to the database without visual interaction

-d <db.ini>
    Load database connection information from an .ini file

--deviceindex <0>
    Set device index for report upload

--submitter <submitter>
    Set optional submitter name for report upload

--comment <comment>
    Set optional comment for report upload

--log
    Write log messages to a text file for debugging (log.txt)

--noproxy
    Run withouth proxy (overrides setting)